unit UMatrice;

interface

 uses Graphics;

 const NB_RANGEES = 30;
       NB_COLONNES = 40;
 type
    TColonne = array[0..NB_RANGEES-1] of TColor;
    TMatrice = array[0..NB_COLONNES-1] of TColonne;

 procedure initMatrice;
 procedure setMatElem(const x,y:cardinal; const elem:TColor);
 function getMatElem(const x,y:cardinal) : TColor;

implementation

uses UPrincipale;

 var M: TMatrice;

 procedure initMatrice;
 var x,y:cardinal;
 begin
    for x:=0 to length(M) do
       for y:=0 to length(M[x]) do
          M[x][y] := CASEVIDE;
 end;

 procedure setMatElem(const x,y:cardinal; const elem:TColor);
 begin
    M[x][y] := elem;
 end;

 function getMatElem(const x,y:cardinal) : TColor;
 begin
    result := M[x][y];
 end;

end.
